EDIT - bug #9238

pure entities in DerivateDTO.derivates may cause LIEs
10/02/2020 03:26 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib-remote Estimated time: 0:00 hour
Target version: Release 5.18

Severity: critical Found in Version:

Description

this request
http:/int.e-taxonomy.eu/cdmserver/integration_reference/portal/occurrence/89d36e79-3e80-4468-986e-411ca391452e/derivateHiera
rchy.json for example ends in a LazylnitializationException

The problem here is that the response object for the derivateHierarchy is a FieldUnitDTO which is not a clean DTO but contains the
hierarchy as field derivates which contain the specimenTypeDesignations as cdm entitiy which brings the whole derivation graph.

Related issues:
Related to EDIT - task #9252: Harmonize SpecimenOrOberservationBase related DTOs Closed

Associated revisions

Revision 4d6b5667 - 10/02/2020 03:27 PM - Andreas Kohlbecker

ref #9238 quick fix at least for the test data in reference_int Glenodinium apiculatum

Revision 2334714 - 10/07/2020 02:57 PM - Andreas Kohlbecker
ref #9238 replacing entitiy by SpecimenTypeDesignationDTO in DerivateDTO

Revision 1d9ed98e - 10/08/2020 06:42 PM - Andreas Kohlbecker
ref #9238 extending SpecimenTypeDesignationDTO with more fields and associated DTOs, introducing ReferenceDTO, supressing unwanted and

dangerous fields of RegistrationDTO

Revision ec3ca64c - 10/09/2020 09:47 AM - Andreas Kohlbecker
ref #9238 removing quick fix allied in 4d6b5667 and adapting config for json serialization

History

#1 - 10/08/2020 06:38 PM - Andreas Kohlbecker

- Subject changed from portal/occurrence/{uuid}/derivateHierarchy service has great potential for LIEs to pure entities in DerivateDTO.derivates may
cause LIEs

this issue is problematic also in the context of other controller methods where DerivateDTO is being involved.

Adapting the ticket subject accordingly.

#2 - 10/08/2020 06:40 PM - Andreas Kohlbecker
- % Done changed from 0 to 20

The introduction of the SpecimenTypeDesignationDTO causes a couple problems since this dto is quite incomplete so far.

#3 - 10/08/2020 06:48 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 20 to 50

this should be fully solved now. Ticket can be closed as long as no further problems are popping up during the testing.

#4 - 11/12/2020 03:53 PM - Andreas Kohlbecker
http://int.e-taxonomy.eu/cdmserver/integration_reference/portal/occurrence/89d36e79-3e80-4468-986e-411ca391452e/derivateHierarchy.json
http://int.e-taxonomy.eu/cdmserver/integration_reference/portal/occurrence/89d36e79-3e80-4468-986e-411ca391452e/derivateHierarchy.json

- Related to task #9252: Harmonize SpecimenOrOberservationBase related DTOs added

#5 - 11/12/2020 03:54 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100
